[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# Sector

Draw and fill a sector of an ellipse

## Declaration

Source position: graphh.inc line 808

`procedure Sector(`
`x: SmallInt;`
`y: SmallInt;`
`StAngle: Word;`
`EndAngle: Word;`
`XRadius: Word;`
`YRadius: Word`
`);`

## Description

Sector draws and fills a sector of an ellipse with center (X,Y) and radii XRadius and YRadius, starting at angle Start and ending at angle Stop.

## Errors

None.

## See also

Arc |  | Draw part of a circle
Circle |  | Draw a complete circle
PieSlice |  | Draw a pie-slice